Package org.kie.internal.query.data

## Class QueryParameters

- java.lang.Object
- - org.kie.internal.query.data.QueryParameters

- Direct Known Subclasses:
    `QueryData`

      @Deprecated
      public class QueryParameters
      extends Object

  Deprecated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryParameters()` | Deprecated.
    `QueryParameters​(QueryParameters queryParameters)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> void` | `addAppropriateParam​(String listId, T... param)` | Deprecated.
    `<T> void` | `addRangeParameter​(String listId, T param, boolean start)` | Deprecated.
    `void` | `clear()` | Deprecated.
    `<T> List<T>` | `getAppropriateParamList​(String listId, T param, int size)` | Deprecated.
    `Map<String,​List<? extends Object>>` | `getIntersectParameters()` | Deprecated.
    `Map<String,​List<? extends Object>>` | `getIntersectRangeParameters()` | Deprecated.
    `Map<String,​List<String>>` | `getIntersectRegexParameters()` | Deprecated.
    `Map<String,​List<? extends Object>>` | `getUnionParameters()` | Deprecated.
    `Map<String,​List<? extends Object>>` | `getUnionRangeParameters()` | Deprecated.
    `Map<String,​List<String>>` | `getUnionRegexParameters()` | Deprecated.
    `boolean` | `intersectParametersAreEmpty()` | Deprecated.
    `boolean` | `intersectRangeParametersAreEmpty()` | Deprecated.
    `boolean` | `intersectRegexParametersAreEmpty()` | Deprecated.
    `boolean` | `isLike()` | Deprecated.
    `boolean` | `isRange()` | Deprecated.
    `boolean` | `isUnion()` | Deprecated.
    `void` | `setToEquals()` | Deprecated.
    `void` | `setToIntersection()` | Deprecated.
    `void` | `setToLike()` | Deprecated.
    `void` | `setToPrecise()` | Deprecated.
    `void` | `setToRange()` | Deprecated.
    `void` | `setToUnion()` | Deprecated.
    `boolean` | `unionParametersAreEmpty()` | Deprecated.
    `boolean` | `unionRangeParametersAreEmpty()` | Deprecated.
    `boolean` | `unionRegexParametersAreEmpty()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryParameters

          public QueryParameters()

      Deprecated.

    - #### QueryParameters

          public QueryParameters​(QueryParameters queryParameters)

      Deprecated.

  - ### Method Detail

    - #### getUnionParameters

          public Map<String,​List<? extends Object>> getUnionParameters()

      Deprecated.

    - #### unionParametersAreEmpty

          public boolean unionParametersAreEmpty()

      Deprecated.

    - #### getIntersectParameters

          public Map<String,​List<? extends Object>> getIntersectParameters()

      Deprecated.

    - #### intersectParametersAreEmpty

          public boolean intersectParametersAreEmpty()

      Deprecated.

    - #### getUnionRegexParameters

          public Map<String,​List<String>> getUnionRegexParameters()

      Deprecated.

    - #### unionRegexParametersAreEmpty

          public boolean unionRegexParametersAreEmpty()

      Deprecated.

    - #### getIntersectRegexParameters

          public Map<String,​List<String>> getIntersectRegexParameters()

      Deprecated.

    - #### intersectRegexParametersAreEmpty

          public boolean intersectRegexParametersAreEmpty()

      Deprecated.

    - #### getUnionRangeParameters

          public Map<String,​List<? extends Object>> getUnionRangeParameters()

      Deprecated.

    - #### unionRangeParametersAreEmpty

          public boolean unionRangeParametersAreEmpty()

      Deprecated.

    - #### getIntersectRangeParameters

          public Map<String,​List<? extends Object>> getIntersectRangeParameters()

      Deprecated.

    - #### intersectRangeParametersAreEmpty

          public boolean intersectRangeParametersAreEmpty()

      Deprecated.

    - #### addAppropriateParam

          public <T> void addAppropriateParam​(String listId,
                                              T... param)

      Deprecated.

    - #### addRangeParameter

          public <T> void addRangeParameter​(String listId,
                                            T param,
                                            boolean start)

      Deprecated.

    - #### getAppropriateParamList

          public <T> List<T> getAppropriateParamList​(String listId,
                                                     T param,
                                                     int size)

      Deprecated.

    - #### setToUnion

          public void setToUnion()

      Deprecated.

    - #### setToIntersection

          public void setToIntersection()

      Deprecated.

    - #### isUnion

          public boolean isUnion()

      Deprecated.

    - #### setToLike

          public void setToLike()

      Deprecated.

    - #### isLike

          public boolean isLike()

      Deprecated.

    - #### setToEquals

          public void setToEquals()

      Deprecated.

    - #### setToRange

          public void setToRange()

      Deprecated.

    - #### setToPrecise

          public void setToPrecise()

      Deprecated.

    - #### isRange

          public boolean isRange()

      Deprecated.

    - #### clear

          public void clear()

      Deprecated.